--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::H 
  level: 1
  text: Hash
- !ruby/struct:SM::Flow::P 
  body: Stash is just like Hash, except that all keys are converted to Strings.
- !ruby/struct:SM::Flow::P 
  body: This is rather fresh code, so is not yet complete. For instnace, it currently does not ensure that default keys are strings when using default_proc.
constants: []

full_name: Stash
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "<<"
- !ruby/object:RI::MethodSummary 
  name: "[]"
- !ruby/object:RI::MethodSummary 
  name: "[]="
- !ruby/object:RI::MethodSummary 
  name: fetch
- !ruby/object:RI::MethodSummary 
  name: has_key?
- !ruby/object:RI::MethodSummary 
  name: key?
- !ruby/object:RI::MethodSummary 
  name: store
name: Stash
superclass: Hash
